Accept Invitation
curl --request POST \
--url https://api.korve.dev/v1/projects/{projectId}/access/invitations/accept \
--header 'Content-Type: application/json' \
--cookie korve.session_token= \
--data '
{
"token": "<string>"
}
'import requests
url = "https://api.korve.dev/v1/projects/{projectId}/access/invitations/accept"
payload = { "token": "<string>" }
headers = {
"cookie": "korve.session_token=",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {cookie: 'korve.session_token=', 'Content-Type': 'application/json'},
body: JSON.stringify({token: '<string>'})
};
fetch('https://api.korve.dev/v1/projects/{projectId}/access/invitations/accept', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"grant": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"viewerUserId": "<string>",
"email": "jsmith@example.com",
"invitationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"revokedAt": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z"
},
"appUrl": "<string>"
}appAccess
Accept Invitation
Accept an invitation as a signed-in, verified Korve viewer identity. This identity is separate from customer app-auth.
POST
/
v1
/
projects
/
{projectId}
/
access
/
invitations
/
accept
Accept Invitation
Authorizations
Path Parameters
The project's id (UUID) or slug — either form is accepted.
Body
application/json
Required string length:
32 - 512⌘I